      subroutine domove(n3,x,vh,f,side)
      implicit double precision (a-h, o-z)
      dimension x(n3),vh(n3),f(n3)
c
c     move particles
c
      do 10 i = 1,n3
         x(i) = x(i) + vh(i) + f(i)
c     periodic boundary conditions
         if (x(i).lt.0.0d0) x(i) = x(i) + side
         if (x(i).gt.side) x(i) = x(i) - side
c     partial velocity updates
         vh(i) = vh(i) + f(i)
c     initialise forces for next iteration
         f(i) = 0.0d0
 10   continue
c
      end    
